# Required metadata
sonar.projectKey=simplonprod-exostim-backend
sonar.projectName=simplonprod-exostim-backend
sonar.projectVersion=1.0

# Comma-separated paths to directories with sources (required)
sonar.sources=app,resources/views,resources/sass,resources/js,packages/simplon
sonar.exclusions=resources/sass/vendor/**

# Encoding of the source files
sonar.sourceEncoding=UTF-8

sonar.host.url=https://sonar.ecedi.net
sonar.login=3f3e10e6b223d2c8a57698d066b257d3d0e9fab5

# Gitlab project
sonar.gitlab.project_id=https://gitlab.ecedi.fr/simplonprod/exostim/exostim-backend
sonar.scm.provider=git

# Tests
sonar.php.tests.reportPath=tests/report.xml
sonar.php.coverage.reportPaths=tests/coverage.xml,tests/coverage/*.xml

sonar.branch.name=${CI_COMMIT_REF_SLUG}
